org.ajax4jsf.taglib.html.jsp

## Class KeepAliveTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.ajax4jsf.taglib.html.jsp.KeepAliveTag

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class KeepAliveTag
      extends javax.servlet.jsp.tagext.TagSupport

  Author:
    shura
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeepAliveTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doStartTag()`
    `javax.el.ValueExpression` | `getAjaxOnly()`
    `java.lang.String` | `getBeanName()`
    `void` | `release()`
    `void` | `setAjaxOnly(javax.el.ValueExpression ajaxOnly)`
    `void` | `setBeanName(java.lang.String name)`

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeepAliveTag

          public KeepAliveTag()

  - ### Method Detail

    - #### getAjaxOnly

          public javax.el.ValueExpression getAjaxOnly()

      Returns:
        the ajaxOnly

    - #### setAjaxOnly

          public void setAjaxOnly(javax.el.ValueExpression ajaxOnly)

      Parameters:
        `ajaxOnly` - the ajaxOnly to set

    - #### getBeanName

          public java.lang.String getBeanName()

      Returns:
        the name

    - #### setBeanName

          public void setBeanName(java.lang.String name)

      Parameters:
        `name` - the name to set

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `javax.servlet.jsp.tagext.TagSupport`

Copyright © 2014. All Rights Reserved.